JMSVendorAdapter (Axis API)
Keywords: org.apache.axis.components.jms.JMSVendorAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.jms
Class JMSVendorAdapter

    java.lang.Object
      org.apache.axis.components.jms.JMSVendorAdapter

Direct Known Subclasses:
  BeanVendorAdapter, JNDIVendorAdapter

public abstract class JMSVendorAdapter
extends java.lang.Object

SPI Interface that all JMSVendorAdaptors must implement. Allows for ConnectionFactory creation and Destination lookup

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com), Ray Chun (rchun@sonicsoftware.com)

Field Summary
`static int` | `CONNECT_ACTION`
`static int` | `ON_EXCEPTION_ACTION`
`static int` | `RECEIVE_ACTION`
`static int` | `SEND_ACTION`
`static int` | `SUBSCRIBE_ACTION`

Constructor Summary
`JMSVendorAdapter()`

Method Summary
`abstract void` | `addVendorConnectionFactoryProperties(JMSURLHelper jmsurl, java.util.HashMap cfProps)`
`java.util.HashMap` | `getJMSConnectionFactoryProperties(JMSURLHelper jmsurl)` Creates a connection factory property table using values supplied in the endpoint address
`java.util.HashMap` | `getJMSConnectorProperties(JMSURLHelper jmsurl)` Creates a JMS connector property table using values supplied in the endpoint address.
`javax.jms.Queue` | `getQueue(javax.jms.QueueSession session, java.lang.String name)`
`abstract javax.jms.QueueConnectionFactory` | `getQueueConnectionFactory(java.util.HashMap cfProps)`
`javax.jms.Topic` | `getTopic(javax.jms.TopicSession session, java.lang.String name)`
`abstract javax.jms.TopicConnectionFactory` | `getTopicConnectionFactory(java.util.HashMap cfProps)`
`java.lang.String` | `getVendorId()`
`abstract boolean` | `isMatchingConnectionFactory(javax.jms.ConnectionFactory cf, JMSURLHelper jmsurl, java.util.HashMap cfProps)`
`boolean` | `isRecoverable(java.lang.Throwable thrown, int action)`
`void` | `setProperties(javax.jms.Message message, java.util.HashMap props)`
`void` | `setupApplicationProperties(MessageContext context, Call call, JMSURLHelper jmsurl)`
`void` | `setupMessageContext(MessageContext context, Call call, JMSURLHelper jmsurl)` Set JMS properties in the message context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEND_ACTION

    public static final int SEND_ACTION

See Also:
  Constant Field Values

### CONNECT_ACTION

    public static final int CONNECT_ACTION

See Also:
  Constant Field Values

### SUBSCRIBE_ACTION

    public static final int SUBSCRIBE_ACTION

See Also:
  Constant Field Values

### RECEIVE_ACTION

    public static final int RECEIVE_ACTION

See Also:
  Constant Field Values

### ON_EXCEPTION_ACTION

    public static final int ON_EXCEPTION_ACTION

See Also:
  Constant Field Values

Constructor Detail

### JMSVendorAdapter

    public JMSVendorAdapter()

Method Detail

### getQueueConnectionFactory

    public abstract javax.jms.QueueConnectionFactory getQueueConnectionFactory(java.util.HashMap cfProps)
                                                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getTopicConnectionFactory

    public abstract javax.jms.TopicConnectionFactory getTopicConnectionFactory(java.util.HashMap cfProps)
                                                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addVendorConnectionFactoryProperties

    public abstract void addVendorConnectionFactoryProperties(JMSURLHelper jmsurl,
                                                              java.util.HashMap cfProps)

### isMatchingConnectionFactory

    public abstract boolean isMatchingConnectionFactory(javax.jms.ConnectionFactory cf,
                                                        JMSURLHelper jmsurl,
                                                        java.util.HashMap cfProps)

### getVendorId

    public java.lang.String getVendorId()

### getJMSConnectorProperties

    public java.util.HashMap getJMSConnectorProperties(JMSURLHelper jmsurl)

  Creates a JMS connector property table using values supplied in the endpoint address. Properties are translated from the short form in the endpoint address to the long form (prefixed by "transport.jms.")

  Parameters:
    `jmsurl` - the endpoint address
  Returns:
    the set of properties to be used for instantiating the JMS connector

### getJMSConnectionFactoryProperties

    public java.util.HashMap getJMSConnectionFactoryProperties(JMSURLHelper jmsurl)

  Creates a connection factory property table using values supplied in the endpoint address

  Parameters:
    `jmsurl` - the endpoint address
  Returns:
    the set of properties to be used for instantiating the connection factory

### getQueue

    public javax.jms.Queue getQueue(javax.jms.QueueSession session,
                                    java.lang.String name)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getTopic

    public javax.jms.Topic getTopic(javax.jms.TopicSession session,
                                    java.lang.String name)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isRecoverable

    public boolean isRecoverable(java.lang.Throwable thrown,
                                 int action)

### setProperties

    public void setProperties(javax.jms.Message message,
                              java.util.HashMap props)
                       throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### setupMessageContext

    public void setupMessageContext(MessageContext context,
                                    Call call,
                                    JMSURLHelper jmsurl)

  Set JMS properties in the message context. TODO: just copy all properties that are not used for the JMS connector or connection factory

### setupApplicationProperties

    public void setupApplicationProperties(MessageContext context,
                                           Call call,
                                           JMSURLHelper jmsurl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.